2 Replies Latest reply on Oct 8, 2009 9:41 PM by Yong Hao Gao

    JBoss Messaging 1.4.5.GA just released!

    Yong Hao Gao Master

      Dear Users,

      I'm glad to announce that JBoss Messaging 1.4.5.GA has just been released. This release contains quite a few bug fixes since 1.4.4.GA. Download available at:

      http://jboss.org/jbossmessaging/downloads/


      Thanks!
      Howard Gao

        • 1. Re: JBoss Messaging 1.4.5.GA just released!
          Yong Zhang Newbie

          Hi Howard,

          Does JBoss Messaging 1.4.5.GA support JBoss 5.0.1 + JBoss Remoting 2.5.1?

          I got the following errors with 1.4.5:

          Caused by: java.lang.NoSuchMethodError: org.jboss.remoting.Client.connect(Lorg/jboss/remoting/ConnectionListener;Ljava/util/Map;)V
          at org.jboss.jms.client.remoting.JMSRemotingConnection$1.run(JMSRemotingConnection.java:374)
          at java.security.AccessController.doPrivileged(Native Method)
          at org.jboss.jms.client.remoting.JMSRemotingConnection.start(JMSRemotingConnection.java:368)
          at org.jboss.jms.client.delegate.ClientConnectionFactoryDelegate.org$jboss$jms$client$delegate$ClientConnectionFactoryDelega
          te$createConnectionDelegate$aop(ClientConnectionFactoryDelegate.java:165)


          I assume it should work with jboss 5.0.1.GA according Tim's comments in this post:
          http://www.jboss.org/index.html?module=bb&op=viewtopic&t=156892

          Thanks.

          • 2. Re: JBoss Messaging 1.4.5.GA just released!
            Yong Hao Gao Master

            Hi,

            JBoss Messaging 1.4.5.GA doesn't work with JBoss 5.

            Tim was right then. That was planned that the next release for AS 5 would be 1.4.5.GA. But it turned out that we need to make a release for AS 4 before AS 5, so the 1.4.5.GA is for AS 4 eventually.

            The release for AS 5 will come soon I hope. It should be noted that the release (likely version 1.4.6.GA) will need at least remoting 2.5.2.